# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v1.0.4](https://github.com/nebarf/react-http-fetch/compare/v1.0.3...v1.0.4)

## [v1.0.3](https://github.com/nebarf/react-http-fetch/compare/v1.0.2...v1.0.3) - 2022-04-10

### Merged

- Move react-fast-compare from peer dependency to standard dependency [`#54`](https://github.com/nebarf/react-http-fetch/pull/54)

### Commits

- Release v1.0.3 [`0014f7c`](https://github.com/nebarf/react-http-fetch/commit/0014f7c0f15561d0892a1ad216f9c88be7289f6d)

## [v1.0.2](https://github.com/nebarf/react-http-fetch/compare/v1.0.1...v1.0.2) - 2022-04-09

### Merged

- prevent renovate to pin dependencies [`#42`](https://github.com/nebarf/react-http-fetch/pull/42)
- Move react-fast-compare to peer dependencies [`#41`](https://github.com/nebarf/react-http-fetch/pull/41)

### Commits

- Release v1.0.2 [`35c3a43`](https://github.com/nebarf/react-http-fetch/commit/35c3a43fd1436599a7d4314ee2a5b58f448db1b4)

## [v1.0.1](https://github.com/nebarf/react-http-fetch/compare/v1.0.0...v1.0.1) - 2022-02-26

### Commits

- Release v1.0.1 [`dc02938`](https://github.com/nebarf/react-http-fetch/commit/dc02938c7c27cc91d540ab4c9028d3842fed811e)

## [v1.0.0](https://github.com/nebarf/react-http-fetch/compare/v1.0.0-rc.0...v1.0.0) - 2022-02-26

### Commits

- Release v1.0.0 [`ee456a0`](https://github.com/nebarf/react-http-fetch/commit/ee456a0ed3ce7dc7f1bb9eb7bf519a2fba2cdd33)
- Do not require new commits since last release [`2615de7`](https://github.com/nebarf/react-http-fetch/commit/2615de7cace6e3f5b462639bbcc25711a793c0a4)

## [v1.0.0-rc.0](https://github.com/nebarf/react-http-fetch/compare/v1.0.0-beta.3...v1.0.0-rc.0) - 2022-01-07

### Merged

- Unabortable request [`#39`](https://github.com/nebarf/react-http-fetch/pull/39)
- Tests [`#38`](https://github.com/nebarf/react-http-fetch/pull/38)
- Check if main branch is up to date before releasing [`#37`](https://github.com/nebarf/react-http-fetch/pull/37)

### Commits

- http-cache tests [`6732863`](https://github.com/nebarf/react-http-fetch/commit/6732863feedb178d76eae8a878e0005407386964)
- use-http-request specs [`f53ab78`](https://github.com/nebarf/react-http-fetch/commit/f53ab7850196a4ff629a4f79bc99df649702b816)
- Finalize http client specs [`d6cd714`](https://github.com/nebarf/react-http-fetch/commit/d6cd714e349980b95f517fe5aa6dd669ae5898b1)

## [v1.0.0-beta.3](https://github.com/nebarf/react-http-fetch/compare/v1.0.0-beta.2...v1.0.0-beta.3) - 2021-12-15

### Merged

- Run lib build before npm publish [`#36`](https://github.com/nebarf/react-http-fetch/pull/36)

### Commits

- Release v1.0.0-beta.3 [`1a0b989`](https://github.com/nebarf/react-http-fetch/commit/1a0b989d7d3e74e9468a5485f9887922791d8d52)

## [v1.0.0-beta.2](https://github.com/nebarf/react-http-fetch/compare/v1.0.0-beta.1...v1.0.0-beta.2) - 2021-12-15

### Merged

- Revert exposed api [`#35`](https://github.com/nebarf/react-http-fetch/pull/35)
- Fix contributing md [`#34`](https://github.com/nebarf/react-http-fetch/pull/34)
- Http context [`#33`](https://github.com/nebarf/react-http-fetch/pull/33)
- Expose only consumer facing API [`#32`](https://github.com/nebarf/react-http-fetch/pull/32)
- Allow to provide unserialized req body to http client [`#31`](https://github.com/nebarf/react-http-fetch/pull/31)

### Commits

- Add type for http request body [`5e8a363`](https://github.com/nebarf/react-http-fetch/commit/5e8a36370a84a9758dba311daa6f05cbfc21e8d3)
- Allow to provide arbitrary user data carried by the http request [`8550f60`](https://github.com/nebarf/react-http-fetch/commit/8550f6059ef79ef4cb565b3d43b42e04f1e03585)
- Align codebase to generics naming styleguide [`c2042cd`](https://github.com/nebarf/react-http-fetch/commit/c2042cdd604f8393992a68cedd3d8b4e2620182f)

## [v1.0.0-beta.1](https://github.com/nebarf/react-http-fetch/compare/v1.0.0-beta.0...v1.0.0-beta.1) - 2021-11-24

### Merged

- Http cache store [`#29`](https://github.com/nebarf/react-http-fetch/pull/29)

### Commits

- Allow to provide a custom http cache store in provider config in place of cache service override [`d51d465`](https://github.com/nebarf/react-http-fetch/commit/d51d465c50a721abad542d8d0796a624de6bbac5)
- Add configurable prefix and separator to http cache store [`875b19b`](https://github.com/nebarf/react-http-fetch/commit/875b19b8a39f334333c0f31e0df9b7060fb24049)
- Update readme for http cache store [`51801f0`](https://github.com/nebarf/react-http-fetch/commit/51801f0441bbf79a49a1eb9aa818dac805d198bd)

## [v1.0.0-beta.0](https://github.com/nebarf/react-http-fetch/compare/v1.0.0-alpha.2...v1.0.0-beta.0) - 2021-11-21

### Merged

- Improve readme [`#20`](https://github.com/nebarf/react-http-fetch/pull/20)
- readme hooks and events sections [`#28`](https://github.com/nebarf/react-http-fetch/pull/28)

### Commits

- Readme: caching [`7a6e845`](https://github.com/nebarf/react-http-fetch/commit/7a6e8453d849a7480c34d9546b8a8540823ebb47)
- readme hooks and events section [`7817564`](https://github.com/nebarf/react-http-fetch/commit/78175640fe0805fb2c7358c0eda7d87edcccd2c0)
- Http client doc (followup) [`a25ca63`](https://github.com/nebarf/react-http-fetch/commit/a25ca6338cddae7eb36075dddab02f40c1a7ed13)

## [v1.0.0-alpha.2](https://github.com/nebarf/react-http-fetch/compare/v1.0.0-alpha.1...v1.0.0-alpha.2) - 2021-11-02

### Merged

- Subscribe fix [`#21`](https://github.com/nebarf/react-http-fetch/pull/21)

### Commits

- temp [`7b9990e`](https://github.com/nebarf/react-http-fetch/commit/7b9990e7bcf73f4475ebf47fd6501586973b58a5)
- Bus subscription: switch to layout effetch to perform event subscriptions [`35673e4`](https://github.com/nebarf/react-http-fetch/commit/35673e4e02e67ebf9f14dee05c44acd285abf249)
- Release v1.0.0-alpha.2 [`d318400`](https://github.com/nebarf/react-http-fetch/commit/d3184003e54344fac54239a77bc955d0d82cfc08)

## [v1.0.0-alpha.1](https://github.com/nebarf/react-http-fetch/compare/v1.0.0-alpha.0...v1.0.0-alpha.1) - 2021-11-01

### Commits

- use-http-request: replace use-effect with use-compare-effect [`96ea896`](https://github.com/nebarf/react-http-fetch/commit/96ea896cf2b346ba85428882705e9e79f71ae3a9)
- Release v1.0.0-alpha.1 [`e6cb290`](https://github.com/nebarf/react-http-fetch/commit/e6cb2902c64a0011f673238c355498fae86511e0)

## [v1.0.0-alpha.0](https://github.com/nebarf/react-http-fetch/compare/v0.0.1...v1.0.0-alpha.0) - 2021-11-01

### Merged

- README skeleton [`#19`](https://github.com/nebarf/react-http-fetch/pull/19)
- Alpha release [`#17`](https://github.com/nebarf/react-http-fetch/pull/17)
- Lock npm deps while executing github actions [`#16`](https://github.com/nebarf/react-http-fetch/pull/16)
- Setup github actions [`#13`](https://github.com/nebarf/react-http-fetch/pull/13)

### Commits

- Remove compiled source from versioning [`f8e6214`](https://github.com/nebarf/react-http-fetch/commit/f8e6214bdb170db59d1af7b59fff6dd6227e501c)
- Remove occurrences of typescript import aliases [`77e0075`](https://github.com/nebarf/react-http-fetch/commit/77e00755b05afb7afe875c09c568523d6ce93896)
- Release v1.0.0-alpha.0 [`8e73b88`](https://github.com/nebarf/react-http-fetch/commit/8e73b88b6fefa8168744ceb523708b68c9ab1104)

## v0.0.1 - 2021-10-31

### Merged

- Configure Renovate [`#1`](https://github.com/nebarf/react-http-fetch/pull/1)

### Commits

- Setup test environment [`baeb3b0`](https://github.com/nebarf/react-http-fetch/commit/baeb3b0623c6620f7ae1aec01bcb9e72e26ad83b)
- Prepare core dependencies and build environment [`7f8a3e6`](https://github.com/nebarf/react-http-fetch/commit/7f8a3e6a996c418b256b46f7d212bd835394239b)
- Move from http interceptors to reactive events [`04c0333`](https://github.com/nebarf/react-http-fetch/commit/04c0333f05547263b2dd2fcac96dc251396e246a)
